Request

Response

    List Hubs
    GET

    hubs

    Returns a list of hubs that the current user is a member or an administrator of.

    Each hub’s teamUrn is the ID of its parent team, and matches id from GET /teams.

    Pass a hub’s id as hubId to /hubs/{hubId}/usage/daily-totals. Retrieving daily usage for a hub requires hub administrator access.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/applications/v2/hubs
    Authentication Context
    User context required
    Required OAuth Scopes
    application:client:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Response

    HTTP Status Code Summary

    200
    OK
    ok
    401
    Unauthorized
    The request did not have a valid access token. Obtain a fresh access token and try again.
    403
    Forbidden
    You do not have permission to perform the operation specified by the request.

    Response

    Body Structure (200)

    Expand all
    results
    array: object
    An array of objects where each object contains the details of a Hub the current user is a member or an administrator of.
    id
    string
    The ID of the Hub. Pass this value as hubId to /hubs/{hubId}/usage/daily-totals.
    displayName
    string
    The display name of the Hub.
    teamUrn
    string
    The ID of the parent team. Matches id from GET /teams.

    Example

    ok

    Request

    curl -v 'https://developer.api.autodesk.com/applications/v2/hubs' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "results": [
        {
          "id": "urn:adsk.ace:prd.hub:dc65874e-ea56-44c1-9ea7-70134720c98d",
          "displayName": "Some Hub Name",
          "teamUrn": "urn:adsk.aum:prd:tenant.oxygenId:12345678"
        }
      ]
    }
    
    Show More